%cmg_active_inference  return logical index of active inferences
%
% Input:
%  P = cell array of predicate sets
%  active_class = cell array of active classes
%
% Output:
%  inference_lx = logical index indicating activated inferences
%

function inference_lx = cmg_active_inference(P,active_class)

  n = length(P);
  inference_lx = false(n,1);
  
  for i = 1:n
    inference_lx(i) = all(ismember(P{i},active_class));
  end
  
end
