%cmg_all_classes  Return list of all classes from a set of cmg structs

function all_classes = cmg_all_classes(Gset)

num_cmgs = length(Gset);

all_classes = {};

for i = 1:num_cmgs
  all_classes = union(all_classes,Gset(i).class_list(:));
end

all_classes = sort(all_classes);

end