%cmg_pure_consequents  return cell array of classes that are pure consequents
%                     in at least 1 map in a set
%

function pure_consequents = cmg_pure_consequents(Gset)

num_cmg = length(Gset);
pure_consequents = {};

for i = 1:num_cmg
  pure_consequents = union(pure_consequents,Gset(i).class_list(Gset(i).cons_lx));
end

pure_consequents = sort(pure_consequents);

end
