%cmg_data_check  print a xls or csv with data for checking

function cmg_data_check(G,bnet,logic_map,filename)

check_cell = {};

check_cell{1,1} = 'class name';
check_cell{1,2} = 'parents';
check_cell{1,3} = 'logical statement';

for i = 1:G.n
  class_str = G.class_list{i};
  parents_cell = G.class_list(bnet.parents{i});
  parents_str = cell2str(parents_cell,'; ');
  logic_str = logic_map(class_str);
  
  check_cell{i+1,1} = class_str;
  check_cell{i+1,2} = parents_str;
  check_cell{i+1,3} = logic_str;
  
end

cell2csv(filename,check_cell,',',2004);

end

function s = cell2str(c,delim)

if nargin < 2
  delim = '; ';
end

s = '';
n = length(c);

for i = 1:n
  s = [s c{i} delim];
end

s = s(1:end-length(delim));

end