%cmg_find_count  count the number of times elements from a sample set appear
%                in a reference set
%
% Input:
%   X = sample set
%   R = reference set
%
% Output:
%   Y = array of counts, same length as sample set

function Y = cmg_find_count(X,R)
  
  n = length(X);
  Y = zeros(n,1);

  for i = 1:n
    
    Y(i) = sum(cmg_findstr(R,X{i}));
  
  end
  
end