%cmg_inf_str  generate inference string from predicate and consequent strings
%
% Input:
%   Pstr = predicate set string
%   C = consequent string
%
% Output:
%   inf_str = inference string
%

function inf_str = cmg_inf_str(Pstr,C)
  P_size = size(Pstr);
  inf_str = cell(P_size);
  for i = 1:prod(P_size)
    inf_str{i} = [Pstr{i} '>' C{i}];
  end
end