%num2strcell  create a cell of string from a numeric array
%
% Takes an m by n array A and produces an m by n cell C where
% C{i,j} = num2str(A(i,j)).  Zeros in A are ignored and end up as
% empty cell elements in C.
%

function C = num2strcell(A)

[i j a] = find(A);
nnz = length(i);
[m n] = size(A);
C = cell(m,n);

for k = 1:nnz
  C{i(k),j(k)} = num2str(a(k));
end

end