%cmg_pure_predicates  return cell array of classes that are pure predicates
%                     in at least 1 map in a set
%

function pure_predicates = cmg_pure_predicates(Gset)

num_cmg = length(Gset);
pure_predicates = {};

for i = 1:num_cmg
  pure_predicates = union(pure_predicates,Gset(i).class_list(Gset(i).pred_lx));
end

pure_predicates = sort(pure_predicates);

end