%cmg_str_rmws  remove all white space in cell array of strings 
%
% Input:
%   T = cell array of strings
%
% Output:
%   T1 = cell array of strings with all white space removed
%

function T1 = cmg_str_rmws(T)

Tsize = size(T);
T1 = cell(Tsize);

for i = 1:prod(Tsize)
  tmp_str = T{i};
  T1{i} = tmp_str(~isspace(tmp_str));
end

end